summaryrefslogtreecommitdiffstats
path: root/logwatch
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2011-08-10 14:36:56 +0000
committer Eric Hameleers <alien@slackware.com>2011-08-10 14:36:56 +0000
commita78de3c23f900e4f6b853f650609a1bca587e55a (patch)
treed7eefc4ef3bc7644bec62323bb955229f6d049b0 /logwatch
parent6cf2425113e99804a7d921faf25a0e782c0f436e (diff)
downloadasb-a78de3c23f900e4f6b853f650609a1bca587e55a.tar.gz
asb-a78de3c23f900e4f6b853f650609a1bca587e55a.tar.xz
Update to 7.4.0
Diffstat (limited to 'logwatch')
-rwxr-xr-xlogwatch/build/logwatch.SlackBuild23
1 files changed, 13 insertions, 10 deletions
diff --git a/logwatch/build/logwatch.SlackBuild b/logwatch/build/logwatch.SlackBuild
index 2b5f8c67..cca96ef1 100755
--- a/logwatch/build/logwatch.SlackBuild
+++ b/logwatch/build/logwatch.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright 2010 Eric Hameleers, Eindhoven, NL
+# Copyright 2010, 2011 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -36,6 +36,8 @@
# * Added files for analyzing Cyrus IMAPD logs.
# 7.3.6-1: 25/Nov/2010 by Eric Hameleers <alien@slackware.com>
# * Update for Slackware 13.1.
+# 7.4.0-1: 10/aug/2011 by Eric Hameleers <alien@slackware.com>
+# * Update for Slackware 13.37.
#
# Run 'sh logwatch.SlackBuild' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -46,7 +48,7 @@
# Set initial variables:
PRGNAM=logwatch
-VERSION=${VERSION:-7.3.6}
+VERSION=${VERSION:-7.4.0}
BUILD=${BUILD:-1}
ARCH=noarch
TAG=${TAG:-alien}
@@ -66,7 +68,9 @@ SOURCE[0]="$SRCDIR/${PRGNAM}-${VERSION}.tar.gz"
SRCURL[0]="http://sourceforge.net/projects/logwatch/files/${PRGNAM}-${VERSION}.tar.gz/download"
SOURCE[1]="$SRCDIR/cyrus.logwatch.tgz"
-SRCURL[1]="http://www.irbs.net/internet/info-cyrus/0401/att-0768/cyrus.logwatch.tgz"
+#SRCURL[1]="http://www.irbs.net/internet/info-cyrus/0401/att-0768/cyrus.logwatch.tgz"
+# This one has a slightly newer script:
+SRCURL[1]="http://ftp.psu.ac.th/pub/cyrus/cyrus.logwatch.tgz"
##
## --- with a little luck, you won't have to edit below this point --- ##
@@ -95,19 +99,20 @@ rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
# Source file availability:
for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
if ! [ -f ${SOURCE[$i]} ]; then
+ echo "Source '$(basename ${SOURCE[$i]})' not available yet..."
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE[$i]="$OUTPUT/$(basename ${SOURCE[$i]})"
+ if [ -f ${SOURCE[$i]} ]; then echo "Ah, found it!"; continue; fi
if ! [ "x${SRCURL[$i]}" == "x" ]; then
- # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] || SOURCE[$i]="$OUTPUT/$(basename ${SOURCE[$i]})"
- echo "Source '$(basename ${SOURCE[$i]})' not available yet..."
echo "Will download file to $(dirname $SOURCE[$i])"
wget -nv -T 20 -O "${SOURCE[$i]}" "${SRCURL[$i]}" || true
if [ $? -ne 0 -o ! -s "${SOURCE[$i]}" ]; then
- echo "Downloading '$(basename ${SOURCE[$i]})' failed.. aborting the build."
+ echo "Fail to download '$(basename ${SOURCE[$i]})'. Aborting the build."
mv -f "${SOURCE[$i]}" "${SOURCE[$i]}".FAIL
exit 1
fi
else
- echo "File '$(basename ${SOURCE[$i]})' not available.. aborting the build."
+ echo "File '$(basename ${SOURCE[$i]})' not available. Aborting the build."
exit 1
fi
fi
@@ -197,8 +202,6 @@ cat <<EOT >> $PKG/usr/share/logwatch/default.conf/services/cyrus.conf
EOT
-
-
# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true